DateTime::TimeZone::Floating(3)

NAME
DateTime::TimeZone::Floating - A time zone that is always local

VERSION
version 1.98

SYNOPSIS
  my $floating_tz = DateTime::TimeZone::Floating->new;

DESCRIPTION
This class is used to provide the DateTime::TimeZone API needed by DateTime.pm, but for floating times, as defined by the RFC 2445 spec. A floating time has no time zone, and has an effective offset of zero.

USAGE
This class has the same methods as a real time zone object, but the "short_name_for_datetime()", and "category()" methods both return undef.

SUPPORT
Bugs may be submitted through the RT bug tracker <http://rt.cpan.org/Public/Dist/Display.html?Name=DateTime-TimeZone> (or bug-datetime-timezone@rt.cpan.org <mailto:bug-datetime-timezone@rt.cpan.org>).

I am also usually active on IRC as 'drolsky' on "irc://irc.perl.org".

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENCE
This software is copyright (c) 2016 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.